Manage team member roles

View as Markdown

Adds or removes member roles in groups, teams, organizations, as well as individual users’ roles.

Note:

If you remove a role from a group or team, then all members lose the that role’s permissions.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

teamIdintegerRequired
The team's ID.

Headers

identifierTypestringOptional
Use SCIM user and group IDs instead of Postman user IDs.

Request

This endpoint expects an object.
addobjectOptional

Information about the bulk add operation.

removeobjectOptional

Information about the bulk remove operation.

Response

Successful Response
resultlist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error